Bug 75453 - Windows sometimes lose resize button
Summary: Windows sometimes lose resize button
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-08 18:37 UTC by Yaron Minsky
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 18:34:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yaron Minsky 2002-10-08 18:37:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Occasionally (I don't know the trigger yet), a window will lose its resize
button.  That is to say, the second button in the upper right cluster disappears.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
I don't know how to reproduce it yet.  Keeping my eyes open.
	

Additional info:

Comment 1 Havoc Pennington 2002-10-08 18:51:48 UTC
I'm going to need more specifics on which window, etc.

Note that dialogs don't have a maximize button.

Comment 2 Yaron Minsky 2002-10-08 19:43:36 UTC
Don't have much more info, I'm afraid.  I suspect this is connected to bug 75452
which I also filed and I don't have much info on either.  I think this one also
has to do with the fullscreening.  

I've seen this happen to an xemacs window, so it's not a dialog-related thing. 
I had to make a new frame and kill the old frame to get things working again.

Interestingly, the xemacs window this happened to not only could not be resized,
it also couldn't be moved.  It was nailed in place to the upper left hand corner.

Comment 3 Havoc Pennington 2002-10-08 20:49:13 UTC
I need a specific sequence of steps to reproduce this, or I can't really address
the issue.

Comment 4 Havoc Pennington 2002-10-08 20:49:43 UTC
If you get the window stuck/not-maximizable again, try running "xprop" on it and
attach the output to this report.


Note You need to log in before you can comment on or make changes to this bug.